Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.stat
Class StatCallCenterStat

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.stat.AbstractCallCenterStatProbes
          umontreal.iro.lecuyer.contactcenters.msk.stat.StatCallCenterStat

All Implemented Interfaces:
  CallCenterStatProbes

    public class StatCallCenterStat

extends AbstractCallCenterStatProbes

Represents a set of statistical probes containing other statistics as observations. An object of this class is constructed from another implementation of `CallCenterStatProbes`, and a type of statistic to collect. For each matrix of probes defined in the inner implementation, a clone is made and stored into this object. When `addStat()` is called, each matrix of probes in the inner call center statistical object is retrieved, an intermediate matrix of observations is constructed, and the resulting matrix is added into the corresponding clone stored into this object.

This class is used for stratified sampling and randomized Quasi-Monte Carlo simulation as follows. Each time a macroreplication or stratum is simulated, statistics from a stratum or a randomization of a point set are available in an inner `CallCenterStatProbes` implementation. This class can obtain the averages, the variances, or the standard deviations from the probes, and add them to other matrices of statistical probes. This results in averages of averages, averages of variances, etc.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.stat.AbstractCallCenterStatProbes
`fmmTallyMap, tallyMap`

Constructor Summary
`StatCallCenterStat(CallCenterStatProbes stat, StatType statType, boolean fmm)` Constructs a new group of call center statistical probes taking the observations from the inner set of probes `stat`, and collecting the statistic `statType`.
`StatCallCenterStat(CallCenterStatProbes stat, StatType statType, boolean fmm, boolean keepObs)`

Method Summary
`void` | `addStat()` Adds new statistics to the probes defined by this object.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.stat.AbstractCallCenterStatProbes
`getAverage, getConfidenceInterval, getMatricesOfStatProbes, getMatrixOfFunctionOfMultipleMeansTallies, getMatrixOfStatProbes, getMatrixOfTallies, getMatrixOfTallyStores, getMax, getMin, getPerformanceMeasures, getVariance, getVarianceOfAverage, hasPerformanceMeasure, init, initPerformanceMeasures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatCallCenterStat

    public StatCallCenterStat(CallCenterStatProbes stat,
                              StatType statType,
                              boolean fmm)

  Constructs a new group of call center statistical probes taking the observations from the inner set of probes `stat`, and collecting the statistic `statType`. This constructor creates a matrix of statistical probes for each performance measure defined in `stat`, by using the `clone` method. However, if `fmm` is `false`, no matrix of statistical probes is added for functions of multiple means tallies.

  Parameters:
    `stat` - the input call center statistical probes.
    `statType` - the type of statistic collected.
    `fmm` - determines if functions of multiple means are processed.

### StatCallCenterStat

    public StatCallCenterStat(CallCenterStatProbes stat,
                              StatType statType,
                              boolean fmm,
                              boolean keepObs)

Method Detail

### addStat

    public void addStat()

  Adds new statistics to the probes defined by this object. Each matrix of probes in the inner call center statistical object is retrieved, an intermediate matrix of observations is constructed, and the resulting matrix is added into the corresponding clone stored into this object.

  The way the matrix of observations is constructed depends on the type of input matrix of probes. For matrices of tallies, element (i, j) of the matrix of observations is given by computing a statistic (average, variance, etc.) on the observations of the tally (i, j) of the inner matrix of tallies. For matrices of functions of multiple means tallies, an array of tallies corresponds to each element (i, j), and a statistic is extracted from each element of this array of tallies. This results in a 3D array compatible with `MatrixOfFunctionOfMultipleMeansTallies.add(double[][][])`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.